Obtain access and refresh tokens.

This API lets you generate access & refresh token either by "authorization_code" or "refresh_token" grant type.
Note: This API needs authorization which can be either a Basic Auth as part of header or client_id and client_secret can be passed in request body.

Form Data

OAuth 2.0 Authorization Code grant token request payload.

string
enum
required

Must be "authorization_code".

Allowed:
uri
required

Required if included in the authorization request.
Must exactly match the value used during authorization.

uuid

Unique identifier of the OAuth client.

string

Client secret value. Returned only once on registration or secret rotation.
Store securely; it cannot be retrieved later.

string

PKCE code verifier that was used to derive the code_challenge.

string
required

Authorization code received from the authorization server.

Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Choose an example:
application/json